You must perform a precheck before applying each bundle to ensure that your environment is ready for the upgrade. For an ESXi bundle, the system performs a bundle level precheck in addition to the environment precheck.

The ESXi bundle precheck validates the following.
  • Custom ISO is compatible with your environment.
  • Custom ISO size is smaller than the boot partition size.
  • Third party VIBs are compatible with the environent.

Procedure

  1. Navigate to the Updates/Patches tab of the management domain or workload domain where you need to apply the bundle.
  2. Click Precheck to validate that the environment is ready to be upgraded. If you run the precheck before upgrading ESXi and there are multiple ESXi bundles available (for example, during a cumulative upgrade), a dialog box appears asking you to select the bundle that you want to validate during the precheck.

    Once the precheck begins, a message appears indicating the time at which the precheck was started.

  3. Click View Status to see detailed tasks and their status.
  4. To see details for a task, click the Expand arrow.
    If a precheck task failed, fix the issue, and click Retry Precheck to run the task again. You can also click Precheck Failed Resources to retry all failed tasks.
    If ESXi hosts display a driver incompatibility issue, perform the following steps:
    1. Identify the controller with the HCL issue.
    2. For the given controller, identify the supported driver and firmware versions on the source and target ESXi versions.
    3. Upgrade the firmware, if required.
    4. Upgrade the driver manually on the ESXi host and retry the task at which the upgrade failed.

    For information on updating passwords, see Updating SDDC Manager Passwords.

Results

The precheck result is displayed at the top of the Upgrade Precheck Details window. If you click Exit Details, the precheck result is displayed at the top of the Precheck section in the Updates/Patches tab.

Ensure that the precheck results are green before proceeding. A failed precheck may cause the update to fail.